org.apache.cassandra.config

## Class CFMetaData.Serializer

- java.lang.Object
- - org.apache.cassandra.config.CFMetaData.Serializer

- Enclosing class:
    CFMetaData

      public static class CFMetaData.Serializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CFMetaData` | `deserialize(DataInputPlus in, int version)`
    `void` | `serialize(CFMetaData metadata, DataOutputPlus out, int version)`
    `long` | `serializedSize(CFMetaData metadata, int version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### serialize

          public void serialize(CFMetaData metadata,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public CFMetaData deserialize(DataInputPlus in,
                                        int version)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(CFMetaData metadata,
                                     int version)

Copyright © 2018 The Apache Software Foundation